%define drupaldir %{_datadir}/drupal7
Name: drupal7-date
Version:  2.9
Release:  1%{?dist}
Summary:  This package contains both the Date module and a Date API module

Group: Applications/Publishing
License: GPLv2+
URL: http://drupal.org/project/date
Source0: http://ftp.drupal.org/files/projects/date-7.x-%{version}.tar.gz
Source1: %{name}-fedora-README.txt
Source2: LICENSE.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: drupal7 >= 7.0 

%description
This Drupal module contains both a flexible date/time field type and 
a Date API that other modules can use. 

%prep

%setup -qn date

%build

cp %{SOURCE1} .
cp %{SOURCE2} .
find ${buildroot} -size 0 | xargs rm -f

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/date
cp -pr * %{buildroot}%{drupaldir}/modules/date

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG.txt LICENSE.txt INSTALL.txt %{name}-fedora-README.txt
%{drupaldir}/modules/date
%exclude %{drupaldir}/modules/date/CHANGELOG.txt
%exclude %{drupaldir}/modules/date/LICENSE.txt
%exclude %{drupaldir}/modules/date/INSTALL.txt
%exclude %{drupaldir}/modules/date/%{name}-fedora-README.txt

%changelog
* Sun Sep 20 2015 Jared Smith <jsmith@fedoraproject.org> - 2.9-1
- Update to upstream 2.9 release
- Upstream changelog at https://www.drupal.org/node/2565073

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jul 31 2014 Jared Smith <jsmith@fedoraproject.org> 2.8-1
- Update to upstream 2.8 release
- This release fixes an XSS issue, CVE-2014-5169

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Jan 10 2014 Peter Borsa <peter.borsa@gmail.com> 2.7-1
- Update to upstream 2.7 release for bug fixes
- Upstream changelog for this release is available at https://drupal.org/node/2161141

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Oct 27 2012 Jared Smith <jsmith@fedoraproject.org> - 2.6-3
- Update to upstream release 2.6
* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild
* Thu Apr 19 2012 Jared Smith <jsmith@fedoraproject.org> - 2.5-1
- Update to upstream release 2.5
* Mon Apr 02 2012 Jared Smith <jsmith@fedoraproject.org> - 2.3-1
- Update to upstream release 2.3
* Mon Feb 27 2012 Jared Smith <jsmith@fedoraproject.org> - 2.2-1
- Update to upstream release 2.2
* Thu Feb 23 2012 Jared Smith <jsmith@fedoraproject.org> - 2.1-3
- Accidentally removed the %{dist} from the release number
* Thu Feb 23 2012 Jared Smith <jsmith@fedoraproject.org> - 2.1-2
- Bump release number to fix a small typo
* Wed Feb 22 2012 Jared Smith <jsmith@fedoraproject.org> - 2.1-1
- Update to upstream 2.1 release
* Sat Feb 04 2012 Jared Smith <jsmith@fedoraproject.org> - 2.0-0.1.rc2
- Update to rc2
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-0.2.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild
* Wed Dec 21 2011 Jared Smith <jsmith@fedoraproject.org> - 2.0-0.1.rc1
- Update to rc1
- Convert CHANGELOG.txt to UTF-8
* Sun Sep 11 2011 Jared Smith <jsmith@fedoraproject.org> - 2.0-0.1.alpha4
- Update to alpha4
- Update FSF address in LICENSE.txt
* Sat Jul 30 2011 Jared Smith <jsmith@fedoraproject.org> - 2.0-0.1.alpha3
- Initial version for Drupal 7
